Module tdlight.api
Package it.tdlight.jni

# Class TdApi.Contact

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Contact

Enclosing class:
  TdApi

public static final class TdApi.Contact extends TdApi.Object
Describes a user contact.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`firstName`
First name of the user; 1-255 characters in length.
`String`
`lastName`
Last name of the user.
`String`
`phoneNumber`
Phone number of the user.
`long`
`userId`
Identifier of the user, if known; 0 otherwise.
`String`
`vcard`
Additional data about the user in a form of vCard; 0-2048 bytes in length.

## Constructor Summary

Constructors
Constructor
Description
`Contact()`
Describes a user contact.
`Contact(DataInput input)`
Describes a user contact.
`Contact(String phoneNumber, String firstName, String lastName, String vcard, long userId)`
Describes a user contact.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### phoneNumber

public String phoneNumber
Phone number of the user.

### firstName

public String firstName
First name of the user; 1-255 characters in length.

### lastName

public String lastName
Last name of the user.

### vcard

public String vcard
Additional data about the user in a form of vCard; 0-2048 bytes in length.

### userId

public long userId
Identifier of the user, if known; 0 otherwise.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### Contact

public Contact()
Describes a user contact.

### Contact

public Contact(String phoneNumber, String firstName, String lastName, String vcard, long userId)
Describes a user contact.

Parameters:
  `phoneNumber` - Phone number of the user.
  `firstName` - First name of the user; 1-255 characters in length.
  `lastName` - Last name of the user.
  `vcard` - Additional data about the user in a form of vCard; 0-2048 bytes in length.
  `userId` - Identifier of the user, if known; 0 otherwise.

### Contact

public Contact(DataInput input) throws IOException
Describes a user contact.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`